#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-plugins-base-1.22.10

- Next

  gst-plugins-bad-1.22.10

- Up
- Home

# gst-plugins-good-1.22.10

## Introduction to GStreamer Good Plug-ins

The GStreamer Good Plug-ins is a set of plug-ins considered by the GStreamer developers to have good quality code, correct functionality, and the preferred license (LGPL for the plug-in code, LGPL or LGPL-compatible for the supporting library). A wide range of video and audio decoders, encoders, and filters are included.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-1.22.10.tar.xz

- Download MD5 sum: 0b3d46da3ff7530e9b7cada625bdaf34

- Download size: 2.7 MB

- Estimated disk space required: 114 MB (with tests)

- Estimated build time: 0.6 SBU (Using parallelism=4; with tests)

### GStreamer Good Plug-ins Dependencies

#### Required

gst-plugins-base-1.22.10

#### Recommended

Cairo-1.18.0, FLAC-1.4.3, gdk-pixbuf-2.42.10, LAME-3.100, libsoup-2.74.3, libsoup-3.4.4, libvpx-1.14.0, mpg123-1.32.4, NASM-2.16.01, and PulseAudio-17.0

#### Optional

AAlib-1.4rc5, GTK+-3.24.41 (for examples), libdv-1.0.0, (Qt-5.15.12 or qt-alternate-5.15.12), Qt-6.6.2, Speex-1.2.1, taglib-2.0, Valgrind-3.22.0, v4l-utils-1.26.1, Wayland-1.22.0, alsa-oss, hotdoc, JACK, libcaca, libavc1394, libiec61883, libraw1394, libshout, Orc, TwoLame, and WavPack

## Installation of GStreamer Good Plug-ins

### Note

If you need a plugin for a given dependency, that dependency needs to be installed before this package.

Install GStreamer Good Plug-ins by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/12.1/ \
          -Dpackage-name="GStreamer 1.22.10 BLFS" &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Programs: None
Installed Libraries: Several plugins under /usr/lib/gstreamer-1.0
Installed Directories: /usr/share/gstreamer-1.0/presets

- Prev

  gst-plugins-base-1.22.10

- Next

  gst-plugins-bad-1.22.10

- Up
- Home